#
# HP-UX and friends
#
AR = ar rcs
RANLIB = echo
#
# Sun
#
#AR = ar rc
#RANLIB = ranlib

CC = gcc
CFLAGS = -O -Wall

SRCS = encode.c decode.c request.c util.c rx11.c xbm.c
OBJS = encode.o decode.o request.o util.o rx11.o xbm.o

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@


all: RX11.olb client

RX11.olb: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

Server:
	(cd server; $(MAKE))

client: client_main.o RX11.olb
	$(CC) $(CFLAGS) client_main.o -L. -lRX11 -lsocket -o client

tarit: distclean
	(cd ..; \
	tar cf rx11-`grep RX11_VERSION rx11/version.h | cut -d\" -f2`.tar rx11; \
	gzip -9 rx11-*.tar)

clean:
	rm -f *.o core

distclean:
	rm -f core *.o client libRX11.a Makefile

*.o: rx11.h
